#ifndef __Entity_h__
#define __Entity_h__
class Level;
class Entity
{
public:
	float x, y, z;
	Level *level;
	Entity(Level *lvl);
	virtual void init();
	virtual void update();
	virtual void render();
};
#endif